## grilo 0.1.17

=== debian/changelog ===
grilo (0.1.17-1) unstable; urgency=low

  * New upstream release.
  * debian/libgrilo-0.1-0.shlibs: new API, bump shlibs to 0.1.17.
  * debian/libgrilo-0.1-doc.doc-base.grilo-libs: the grilo-libs manual
    doesn't exist anymore since it has been merged into the main one.
  * debian/libgrilo-0.1-doc.links: ditto.
  * debian/control: this release breaks grilo-plugins-0.1 << 0.1.17 since
    now plugin XML files are located in a different place.

 -- Alberto Garcia <agarcia@igalia.com>  Mon, 05 Sep 2011 23:25:51 +0300

grilo (0.1.16-1) unstable; urgency=low

  * New upstream release.
  * debian/{grl-inspect.1,libgrilo-0.1-0.manpages,libgrilo-0.1-0.install}:
    use manpage shipped by upstream.
  * debian/libgrilo-0.1-0.shlibs: new API, bump shlibs to 0.1.16.
  * debian/copyright: Author(s) => Authors.

 -- Alberto Garcia <agarcia@igalia.com>  Sat, 02 Jul 2011 13:48:46 +0300

grilo (0.1.15-1) unstable; urgency=low

  * Initial release (Closes: #573737, #629396).

 -- Alberto Garcia <agarcia@igalia.com>  Thu, 16 Jun 2011 12:26:33 +0300

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/grilo/(\d\.\d)/grilo-(.*)\.tar\.bz2

## grilo 0.3.7

=== meson_options.txt ===
option('enable-grl-net', type: 'boolean', value: true, description: 'Enable Grilo Net library')
option('enable-grl-pls', type: 'boolean', value: true, description: 'Enable Grilo Pls library')
option('enable-gtk-doc', type: 'boolean', value: false, description: 'Enable generating the API reference')
option('enable-introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection')
option('enable-test-ui', type: 'boolean', value: true, description: 'Build Test UI')
option('enable-vala', type: 'boolean', value: true, description: 'Enable Vala (enables GObject Introspection)')

## grilo 0.1.18

=== debian/changelog ===
grilo (0.1.18-2) unstable; urgency=low

  * debian/control: build using Vala 0.14 (Closes: #663307).
  * debian/libgrilo-0.1-dev.install: update path of Vala API files.
  * debian/control: update Standards-Version to 3.9.3.
  * debian/control: change section of gir1.2-grilo-0.1 to 'introspection'.
  * debian/copyright: update debian copyright format URL.

 -- Alberto Garcia <agarcia@igalia.com>  Sat, 10 Mar 2012 16:19:10 +0200

grilo (0.1.18-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: scan for .xz files, upstream no longer uses bz2.
  * debian/copyright: rewrite using the machine-readable format.

 -- Alberto Garcia <agarcia@igalia.com>  Sat, 10 Dec 2011 15:14:51 +0200

=== debian/control ===
Source: grilo
Section: libs
Priority: optional
Maintainer: Alberto Garcia <agarcia@igalia.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~),
               libglib2.0-dev (>= 2.22.0),
               libxml2-dev,
               libsoup2.4-dev,
               gobject-introspection,
               libgirepository1.0-dev,
               libvala-0.14-dev,
               valac-0.14,
               gtk-doc-tools
Standards-Version: 3.9.3
Homepage: http://live.gnome.org/Grilo

Package: libgrilo-0.1-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: grilo-plugins-0.1
Breaks: grilo-plugins-0.1 (<< 0.1.17)
Description: Framework for discovering and browsing media - Shared libraries
 Grilo is a framework focused on making media discovery and browsing
 easy for application developers.
 .
 More precisely, Grilo provides:
   * A single, high-level API that abstracts the differences among
     various media content providers, allowing application developers
     to integrate content from various services and sources easily.
   * A collection of plugins for accessing content from various media
     providers. Developers can share efforts and code by writing
     plugins for the framework that are application agnostic.
   * A flexible API that allows plugin developers to write plugins of
     various kinds.
 .
 This package contains the shared libraries.

Package: libgrilo-0.1-dev
Section: libdevel
Architecture: any
Depends: libgrilo-0.1-0 (= ${binary:Version}),
         gir1.2-grilo-0.1 (= ${binary:Version}),
         libxml2-dev,
         libglib2.0-dev,
         ${shlib:Depends},
         ${misc:Depends}
Recommends: pkg-config
Suggests: libgrilo-0.1-doc
Description: Framework for discovering and browsing media - Development files
 Grilo is a framework focused on making media discovery and browsing
 easy for application developers.
 .
 More precisely, Grilo provides:
   * A single, high-level API that abstracts the differences among
     various media content providers, allowing application developers
     to integrate content from various services and sources easily.
   * A collection of plugins for accessing content from various media
     providers. Developers can share efforts and code by writing
     plugins for the framework that are application agnostic.
   * A flexible API that allows plugin developers to write plugins of
     various kinds.
 .
 This package contains the development files.

Package: libgrilo-0.1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Description: Framework for discovering and browsing media - Documentation
 Grilo is a framework focused on making media discovery and browsing
 easy for application developers.
 .
 More precisely, Grilo provides:
   * A single, high-level API that abstracts the differences among
     various media content providers, allowing application developers
     to integrate content from various services and sources easily.
   * A collection of plugins for accessing content from various media
     providers. Developers can share efforts and code by writing
     plugins for the framework that are application agnostic.
   * A flexible API that allows plugin developers to write plugins of
     various kinds.
 .
 This package contains the documentation.

Package: gir1.2-grilo-0.1
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Framework for discovering and browsing media - GObject introspection data
 Grilo is a framework focused on making media discovery and browsing
 easy for application developers.
 .
 More precisely, Grilo provides:
   * A single, high-level API that abstracts the differences among
     various media content providers, allowing application developers
     to integrate content from various services and sources easily.
   * A collection of plugins for accessing content from various media
     providers. Developers can share efforts and code by writing
     plugins for the framework that are application agnostic.
   * A flexible API that allows plugin developers to write plugins of
     various kinds.
 .
 This package contains the GObject introspection data. It can be used
 by packages using the GIRepository format to generate dynamic
 bindings.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc --enable-vala \
		--enable-introspection --enable-grl-net

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository

## grilo 0.1.19

=== debian/changelog ===
grilo (0.1.19-1) unstable; urgency=low

  * New upstream release.
  * Build using Vala 0.16:
    - debian/control: update build dependencies.
    - debian/rules: install Vala API files in /usr/share/vala/vapi.
    - debian/libgrilo-0.1-dev.install: update path of Vala API files.
  * Create a new libgrilo-0.1-bin package and move grl-inspect-0.1 there.
    - debian/rules: rename manpage to match the binary name.
  * Drop libgrilo-0.1-0.shlibs and use dh_makeshlibs to generate a shlibs
    file.
  * Multi-arch support:
    - debian/compat: set compatibility level to 9.
    - debian/control: build depend on debhelper >= 9.
    - debian/control: Add Multi-Arch and Pre-Depends fields to
      libgrilo-0.1-0.
    - debian/libgrilo-0.1-{0,dev}.install: replace usr/lib/ with
      usr/lib/*/.
    - bump shlibs to 0.1.19 and break grilo-plugins-0.1 << 0.1.19.
  * libgrilo-0.1-{0,bin}.lintian-overrides: ignore the
    hardening-no-stackprotector warning, Grilo does not use character
    arrays on the stack.
  * debian/copyright: update copyright years and add section for Debian
    files.

 -- Alberto Garcia <agarcia@igalia.com>  Thu, 24 May 2012 18:05:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,26 @@
 Priority: optional
 Maintainer: Alberto Garcia <agarcia@igalia.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
                libglib2.0-dev (>= 2.22.0),
                libxml2-dev,
                libsoup2.4-dev,
                gobject-introspection,
                libgirepository1.0-dev,
-               libvala-0.14-dev,
-               valac-0.14,
+               libvala-0.16-dev,
+               valac-0.16,
                gtk-doc-tools
 Standards-Version: 3.9.3
 Homepage: http://live.gnome.org/Grilo
 
 Package: libgrilo-0.1-0
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: grilo-plugins-0.1
-Breaks: grilo-plugins-0.1 (<< 0.1.17)
+Breaks: grilo-plugins-0.1 (<< 0.1.19)
 Description: Framework for discovering and browsing media - Shared libraries
  Grilo is a framework focused on making media discovery and browsing
  easy for application developers.
@@ -63,6 +65,26 @@
      various kinds.
  .
  This package contains the development files.
+
+Package: libgrilo-0.1-bin
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: Framework for discovering and browsing media - Binaries
+ Grilo is a framework focused on making media discovery and browsing
+ easy for application developers.
+ .
+ More precisely, Grilo provides:
+   * A single, high-level API that abstracts the differences among
+     various media content providers, allowing application developers
+     to integrate content from various services and sources easily.
+   * A collection of plugins for accessing content from various media
+     providers. Developers can share efforts and code by writing
+     plugins for the framework that are application agnostic.
+   * A flexible API that allows plugin developers to write plugins of
+     various kinds.
+ .
+ This package contains the grl-inspect binary.
 
 Package: libgrilo-0.1-doc
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	VAPIDIR=/usr/share/vala/vapi \
	dh_auto_configure -- --enable-gtk-doc --enable-vala \
		--enable-introspection --enable-grl-net

override_dh_install:
	dh_install
	( cd $(CURDIR)/debian/libgrilo-0.1-bin/usr/share/man/man1 && \
	  mv grl-inspect.1 grl-inspect-0.1.1 )

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgrilo-0.1-0 (>= 0.1.19-1)'

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository

## grilo 0.1.20

=== debian/changelog ===
grilo (0.1.20-1) experimental; urgency=low

  * New upstream release.

 -- Alberto Garcia <agarcia@igalia.com>  Fri, 17 Aug 2012 10:09:18 +0300

## grilo 0.2.4

=== debian/changelog ===
grilo (0.2.4-1) experimental; urgency=low

  * New upstream release.

 -- Alberto Garcia <agarcia@igalia.com>  Sat, 01 Dec 2012 13:22:37 +0200

grilo (0.2.3-1) experimental; urgency=low

  * New upstream version.
  * debian/rules: new API, bump package version in dh_makeshlibs.
  * debian/rules: configure with --disable-debug, otherwise it's enabled
    by default.
  * Drop all lintian-overrides files, there are no longer hardening
    warnings.

 -- Alberto Garcia <agarcia@igalia.com>  Mon, 12 Nov 2012 18:12:56 +0200

grilo (0.2.2-1) experimental; urgency=low

  * New upstream release, first in the 0.2 series in Debian.
  * debian/*: rename everything from *grilo-0.1* to *grilo-0.2*.
  * debian/control: make libgrilo-0.2-doc conflict with libgrilo-0.1-doc,
    they can't be installed at the same time.
  * debian/control: remove the DM-Upload-Allowed field, it's now obsolete.

 -- Alberto Garcia <agarcia@igalia.com>  Fri, 12 Oct 2012 16:42:22 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: libs
 Priority: optional
 Maintainer: Alberto Garcia <agarcia@igalia.com>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9),
                libglib2.0-dev (>= 2.22.0),
                libxml2-dev,
@@ -15,14 +14,13 @@
 Standards-Version: 3.9.3
 Homepage: http://live.gnome.org/Grilo
 
-Package: libgrilo-0.1-0
+Package: libgrilo-0.2-1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: grilo-plugins-0.1
-Breaks: grilo-plugins-0.1 (<< 0.1.19)
+Recommends: grilo-plugins-0.2
 Description: Framework for discovering and browsing media - Shared libraries
  Grilo is a framework focused on making media discovery and browsing
  easy for application developers.
@@ -39,17 +37,17 @@
  .
  This package contains the shared libraries.
 
-Package: libgrilo-0.1-dev
+Package: libgrilo-0.2-dev
 Section: libdevel
 Architecture: any
-Depends: libgrilo-0.1-0 (= ${binary:Version}),
-         gir1.2-grilo-0.1 (= ${binary:Version}),
+Depends: libgrilo-0.2-1 (= ${binary:Version}),
+         gir1.2-grilo-0.2 (= ${binary:Version}),
          libxml2-dev,
          libglib2.0-dev,
          ${shlib:Depends},
          ${misc:Depends}
 Recommends: pkg-config
-Suggests: libgrilo-0.1-doc
+Suggests: libgrilo-0.2-doc
 Description: Framework for discovering and browsing media - Development files
  Grilo is a framework focused on making media discovery and browsing
  easy for application developers.
@@ -66,7 +64,7 @@
  .
  This package contains the development files.
 
-Package: libgrilo-0.1-bin
+Package: libgrilo-0.2-bin
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -86,11 +84,12 @@
  .
  This package contains the grl-inspect binary.
 
-Package: libgrilo-0.1-doc
+Package: libgrilo-0.2-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: devhelp
+Conflicts: libgrilo-0.1-doc
 Description: Framework for discovering and browsing media - Documentation
  Grilo is a framework focused on making media discovery and browsing
  easy for application developers.
@@ -107,7 +106,7 @@
  .
  This package contains the documentation.
 
-Package: gir1.2-grilo-0.1
+Package: gir1.2-grilo-0.2
 Section: introspection
 Architecture: any
 Depends: ${gir:Depends},

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	VAPIDIR=/usr/share/vala/vapi \
	dh_auto_configure -- --enable-gtk-doc --enable-vala \
		--enable-introspection --enable-grl-net --disable-debug

override_dh_install:
	dh_install
	( cd $(CURDIR)/debian/libgrilo-0.2-bin/usr/share/man/man1 && \
	  mv grl-inspect.1 grl-inspect-0.2.1 )

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgrilo-0.2-1 (>= 0.2.3-1)'

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository

## grilo 0.2.5

=== debian/changelog ===
grilo (0.2.5-1) experimental; urgency=low

  * New upstream release.
  * debian/control: update Standards-Version to 3.9.4 (no changes).
  * debian/copyright: update copyright years.
  * Build with dh-autoreconf to ensure that the autotools helper files are
    being regenerated (this fixes lintian outdated-autotools-helper-file).
    - debian/rules: pass '--with autoreconf' to dh.
    - debian/control: add build dependency on dh-autoreconf.

 -- Alberto Garcia <agarcia@igalia.com>  Wed, 20 Mar 2013 11:04:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Alberto Garcia <agarcia@igalia.com>
 Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
                libglib2.0-dev (>= 2.22.0),
                libxml2-dev,
                libsoup2.4-dev,
@@ -11,7 +12,7 @@
                libvala-0.16-dev,
                valac-0.16,
                gtk-doc-tools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://live.gnome.org/Grilo
 
 Package: libgrilo-0.2-1

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	VAPIDIR=/usr/share/vala/vapi \

## grilo 0.2.6

=== debian/changelog ===
grilo (0.2.6-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * debian/libgrilo-0.2-1.symbols: add symbols file.
    - debian/rules: remove the dh_makeshlibs override.
  * debian/control:
    - Set build dependency on Vala to 0.20 (Closes: #709692).
    - Build depend on libglib >= 2.29.10.
    - Downgrade grilo plugins from recommended to suggested. Just because
      a program supports Grilo does not mean that it has a strong dependency
      on its plugins.

 -- Alberto Garcia <agarcia@igalia.com>  Wed, 29 May 2013 02:28:34 +0200

grilo (0.2.5-2) experimental; urgency=low

  [ Jonny Lamb ]
  * Add libgrilo-0.2-1-dbg debug package (Closes: #704511).

 -- Alberto Garcia <agarcia@igalia.com>  Tue, 02 Apr 2013 17:30:41 +0300

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Alberto Garcia <agarcia@igalia.com>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               libglib2.0-dev (>= 2.22.0),
+               libglib2.0-dev (>= 2.29.10),
                libxml2-dev,
                libsoup2.4-dev,
                gobject-introspection,
                libgirepository1.0-dev,
-               libvala-0.16-dev,
-               valac-0.16,
+               libvala-0.20-dev,
+               valac-0.20,
                gtk-doc-tools
 Standards-Version: 3.9.4
 Homepage: http://live.gnome.org/Grilo
@@ -21,7 +21,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: grilo-plugins-0.2
+Suggests: grilo-plugins-0.2
 Description: Framework for discovering and browsing media - Shared libraries
  Grilo is a framework focused on making media discovery and browsing
  easy for application developers.
@@ -107,6 +107,31 @@
  .
  This package contains the documentation.
 
+Package: libgrilo-0.2-1-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libgrilo-0.2-1 (= ${binary:Version}),
+         ${misc:Depends}
+Suggests: grilo-plugins-0.2-dbg
+Description: Framework for discovering and browsing media - debugging symbols
+ Grilo is a framework focused on making media discovery and browsing
+ easy for application developers.
+ .
+ More precisely, Grilo provides:
+   * A single, high-level API that abstracts the differences among
+     various media content providers, allowing application developers
+     to integrate content from various services and sources easily.
+   * A collection of plugins for accessing content from various media
+     providers. Developers can share efforts and code by writing
+     plugins for the framework that are application agnostic.
+   * A flexible API that allows plugin developers to write plugins of
+     various kinds.
+ .
+ This package contains the debugging symbols for Grilo.
+
 Package: gir1.2-grilo-0.2
 Section: introspection
 Architecture: any

## grilo 0.2.7

=== debian/changelog ===
grilo (0.2.7-1ubuntu1) saucy; urgency=low

  * debian/patches/fix-1236637.diff:
    - Distro patch a fix for a double-free issue (LP: #1236637)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 08 Oct 2013 17:01:02 +0200

grilo (0.2.7-1) unstable; urgency=low

  * New upstream release.
  * Update my e-mail address in debian/*.
  * Remove libsoup.patch, it's no longer relevant for this release.
  * debian/libgrilo-0.2-1.symbols: update.

 -- Alberto Garcia <berto@igalia.com>  Wed, 18 Sep 2013 01:18:10 +0300

grilo (0.2.6-2) unstable; urgency=low

  * libsoup.patch: fix FTBFS with libsoup < 2.42.

 -- Alberto Garcia <agarcia@igalia.com>  Wed, 29 May 2013 16:53:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: grilo
 Section: libs
 Priority: optional
-Maintainer: Alberto Garcia <agarcia@igalia.com>
+Maintainer: Alberto Garcia <berto@igalia.com>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libglib2.0-dev (>= 2.29.10),

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,9 @@
 	( cd $(CURDIR)/debian/libgrilo-0.2-bin/usr/share/man/man1 && \
 	  mv grl-inspect.1 grl-inspect-0.2.1 )
 
-override_dh_makeshlibs:
-	dh_makeshlibs -V 'libgrilo-0.2-1 (>= 0.2.3-1)'
-
 override_dh_shlibdeps:
 	dh_shlibdeps
 	dh_girepository
+
+override_dh_strip:
+	dh_strip --dbg-package=libgrilo-0.2-1-dbg

## grilo 0.2.10

=== debian/changelog ===
grilo (0.2.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: update build dependency on libglib2.0-dev to 2.34.
  * debian/libgrilo-0.2-1.symbols: update.

 -- Alberto Garcia <berto@igalia.com>  Wed, 19 Mar 2014 16:12:33 +0200

grilo (0.2.9-1) unstable; urgency=medium

  * New upstream release.
  * Drop drop-libvala.patch, this is already integrated in this release.
  * debian/rules: disable Automake's silent rules.

 -- Alberto Garcia <berto@igalia.com>  Tue, 18 Feb 2014 23:27:55 +0200

grilo (0.2.8-1) unstable; urgency=medium

  * New upstream release (Closes: #739025, #739028).
  * debian/control:
    - Update Standards-Version to 3.9.5 (no changes).
    - Bump build dependency on libglib2.0-dev to 2.32.
    - Add build dependency on libtotem-plparser-dev.
    - Build depend on the generic valac package, there's no need for any
      specific version of Vala.
  * Don't require libvala, it's not used by Grilo at all.
    - debian/patches/drop-libvala.patch: remove check in configure.ac
    - debian/control: remove build dependency.
  * debian/libgrilo-0.2-1.symbols: update.
  * debian/copyright: update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Sat, 15 Feb 2014 18:06:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Alberto Garcia <berto@igalia.com>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               libglib2.0-dev (>= 2.29.10),
+               libglib2.0-dev (>= 2.34),
                libxml2-dev,
                libsoup2.4-dev,
+               libtotem-plparser-dev,
                gobject-introspection,
                libgirepository1.0-dev,
-               libvala-0.20-dev,
-               valac-0.20,
+               valac,
                gtk-doc-tools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://live.gnome.org/Grilo
 
 Package: libgrilo-0.2-1

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 override_dh_auto_configure:
 	VAPIDIR=/usr/share/vala/vapi \
 	dh_auto_configure -- --enable-gtk-doc --enable-vala \
-		--enable-introspection --enable-grl-net --disable-debug
+		--enable-introspection --enable-grl-net --disable-debug \
+		--disable-silent-rules
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/grilo/(\d\.\d)/grilo-(.*)\.tar\.xz

## grilo 0.2.11

=== debian/changelog ===
grilo (0.2.11-2) unstable; urgency=medium

  * Make all packages multi-arch compliant, now that gobject-introspection
    supports it:
    - debian/gir1.2-grilo-0.2.install: update path of typelib files.
    - debian/control: build depend on gobject-introspection >= 1.41.4 and
      add Multi-Arch: same field to gir1.2-grilo-0.2 and libgrilo-0.2-dev.

 -- Alberto Garcia <berto@igalia.com>  Tue, 23 Sep 2014 11:56:18 +0300

grilo (0.2.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/libgrilo-0.2-1.symbols: update.
  * Install the Grilo test UI and Grilo launch binaries:
    - debian/control: add build dependency on libgtk-3-dev and update
      description.
    - debian/libgrilo-0.2-bin.install: install the binaries.
  * debian/rules:
    - Enable parallel builds.
    - Don't override dh_install, it's no longer necessary.
  * debian/patches/manpages.patch:
    - Add manpages for all commands.

 -- Alberto Garcia <berto@igalia.com>  Tue, 26 Aug 2014 20:41:54 +0300

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libglib2.0-dev (>= 2.34),
+               libgtk-3-dev,
                libxml2-dev,
                libsoup2.4-dev,
                libtotem-plparser-dev,
-               gobject-introspection,
+               gobject-introspection (>= 1.41.4),
                libgirepository1.0-dev,
                valac,
                gtk-doc-tools
@@ -41,6 +42,7 @@
 Package: libgrilo-0.2-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libgrilo-0.2-1 (= ${binary:Version}),
          gir1.2-grilo-0.2 (= ${binary:Version}),
          libxml2-dev,
@@ -83,7 +85,7 @@
    * A flexible API that allows plugin developers to write plugins of
      various kinds.
  .
- This package contains the grl-inspect binary.
+ This package contains the utilities.
 
 Package: libgrilo-0.2-doc
 Section: doc
@@ -135,6 +137,7 @@
 Package: gir1.2-grilo-0.2
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	VAPIDIR=/usr/share/vala/vapi \
	dh_auto_configure -- --enable-gtk-doc --enable-vala \
		--enable-introspection --enable-grl-net --disable-debug \
		--disable-silent-rules

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository

override_dh_strip:
	dh_strip --dbg-package=libgrilo-0.2-1-dbg

## grilo 0.2.14

=== debian/changelog ===
grilo (0.2.14-1) unstable; urgency=medium

  [ Alberto Garcia ]
  * New upstream release.
  * debian/copyright:
    - Update copyright years.

  [ Chris Lamb ]
  * debian/control:
    - Fix spelling of ${shlibs:Depends} (Closes: #792966).

 -- Alberto Garcia <berto@igalia.com>  Thu, 24 Sep 2015 11:35:53 +0300

grilo (0.2.12-2) unstable; urgency=medium

  * Upload to unstable.

 -- Alberto Garcia <berto@igalia.com>  Tue, 26 May 2015 02:38:45 +0200

grilo (0.2.12-1) experimental; urgency=medium

  * New upstream release.
  * Drop manpages.patch, it's already included in this release.
  * debian/control:
    - Update Standards-Version to 3.9.6 (no changes).
  * debian/libgrilo-0.2-1.symbols:
    - Update.
  * debian/libgrilo-0.2-dev.install,
    debian/control,
    debian/rules:
    - Disable Vala in this release since it requires valac >= 0.27 which
      is not in Debian yet.

 -- Alberto Garcia <berto@igalia.com>  Wed, 18 Feb 2015 09:04:10 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,8 @@
                libtotem-plparser-dev,
                gobject-introspection (>= 1.41.4),
                libgirepository1.0-dev,
-               valac,
                gtk-doc-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://live.gnome.org/Grilo
 
 Package: libgrilo-0.2-1
@@ -47,7 +46,7 @@
          gir1.2-grilo-0.2 (= ${binary:Version}),
          libxml2-dev,
          libglib2.0-dev,
-         ${shlib:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: pkg-config
 Suggests: libgrilo-0.2-doc

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 override_dh_auto_configure:
 	VAPIDIR=/usr/share/vala/vapi \
-	dh_auto_configure -- --enable-gtk-doc --enable-vala \
+	dh_auto_configure -- --enable-gtk-doc --disable-vala \
 		--enable-introspection --enable-grl-net --disable-debug \
 		--disable-silent-rules

## grilo 0.2.15

=== debian/changelog ===
grilo (0.2.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update homepage link.
    - Update Standards-Version to 3.9.7 (no changes).
  * debian/libgrilo-0.2-1.symbols:
    - Update.
  * debian/rules:
    - Enable all hardening flags.
  * Migrate to automatic -dbgsym packages:
    - debian/control:
      + Remove the entries for libgrilo-0.2-1-dbg.
      + Require debhelper >= 9.20151219.
    - debian/rules:
      + Replace --dbg-package with --ddeb-migration in dh_strip.
  * Enable vala again:
    - debian/rules:
      + Pass --enable-vala to configure.
    - debian/control:
      + Add valac to the list of build dependencies.
    - debian/libgrilo-0.2-dev.install:
      + Install the files from /usr/share/vala.

 -- Alberto Garcia <berto@igalia.com>  Sun, 28 Feb 2016 00:54:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20151219),
                dh-autoreconf,
                libglib2.0-dev (>= 2.34),
                libgtk-3-dev,
@@ -11,9 +11,10 @@
                libtotem-plparser-dev,
                gobject-introspection (>= 1.41.4),
                libgirepository1.0-dev,
+               valac (>= 0.27),
                gtk-doc-tools
-Standards-Version: 3.9.6
-Homepage: http://live.gnome.org/Grilo
+Standards-Version: 3.9.7
+Homepage: https://wiki.gnome.org/Projects/Grilo
 
 Package: libgrilo-0.2-1
 Architecture: any
@@ -108,31 +109,6 @@
  .
  This package contains the documentation.
 
-Package: libgrilo-0.2-1-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libgrilo-0.2-1 (= ${binary:Version}),
-         ${misc:Depends}
-Suggests: grilo-plugins-0.2-dbg
-Description: Framework for discovering and browsing media - debugging symbols
- Grilo is a framework focused on making media discovery and browsing
- easy for application developers.
- .
- More precisely, Grilo provides:
-   * A single, high-level API that abstracts the differences among
-     various media content providers, allowing application developers
-     to integrate content from various services and sources easily.
-   * A collection of plugins for accessing content from various media
-     providers. Developers can share efforts and code by writing
-     plugins for the framework that are application agnostic.
-   * A flexible API that allows plugin developers to write plugins of
-     various kinds.
- .
- This package contains the debugging symbols for Grilo.
-
 Package: gir1.2-grilo-0.2
 Section: introspection
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	VAPIDIR=/usr/share/vala/vapi \
	dh_auto_configure -- --enable-gtk-doc --enable-vala \
		--enable-introspection --enable-grl-net --disable-debug \
		--disable-silent-rules

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository

override_dh_strip:
	dh_strip -plibgrilo-0.2-1 \
		--ddeb-migration='libgrilo-0.2-1-dbg (<< 0.2.15-1~)'
	dh_strip

## grilo 0.3.2

=== debian/changelog ===
grilo (0.3.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    - Use https://download.gnome.org/

 -- Alberto Garcia <berto@igalia.com>  Mon, 12 Sep 2016 10:18:06 +0300

grilo (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Don't override dh_shlibdeps, pass '--with gir' to dh instead.
  * debian/control:
    - Update Standards-Version to 3.9.8 (no changes).
  * libgrilo-0.3-0.symbols:
    - Update symbols file.
  * debian/copyright:
    - Update copyright years and add missing attributions.

 -- Alberto Garcia <berto@igalia.com>  Sun, 19 Jun 2016 16:06:08 +0300

grilo (0.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Tue, 19 Apr 2016 14:54:17 +0200

grilo (0.3.0-1) experimental; urgency=medium

  * New upstream release.
    - Rename all packages from *-0.2 to *-0.3.
  * debian/control:
    - Add build dependency on liboauth-dev.
    - Make libgrilo-0.3-doc conflict with libgrilo-0.2-doc.
    - Downgrade build dependency on debhelper to >= 9, we are not
      overriding dh_strip anymore.
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Wed, 02 Mar 2016 13:46:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,28 @@
 Section: libs
 Priority: optional
 Maintainer: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper (>= 9.20151219),
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libglib2.0-dev (>= 2.34),
                libgtk-3-dev,
                libxml2-dev,
+               liboauth-dev,
                libsoup2.4-dev,
                libtotem-plparser-dev,
                gobject-introspection (>= 1.41.4),
                libgirepository1.0-dev,
                valac (>= 0.27),
                gtk-doc-tools
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Projects/Grilo
 
-Package: libgrilo-0.2-1
+Package: libgrilo-0.3-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Suggests: grilo-plugins-0.2
+Suggests: grilo-plugins-0.3
 Description: Framework for discovering and browsing media - Shared libraries
  Grilo is a framework focused on making media discovery and browsing
  easy for application developers.
@@ -39,18 +40,18 @@
  .
  This package contains the shared libraries.
 
-Package: libgrilo-0.2-dev
+Package: libgrilo-0.3-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libgrilo-0.2-1 (= ${binary:Version}),
-         gir1.2-grilo-0.2 (= ${binary:Version}),
+Depends: libgrilo-0.3-0 (= ${binary:Version}),
+         gir1.2-grilo-0.3 (= ${binary:Version}),
          libxml2-dev,
          libglib2.0-dev,
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: pkg-config
-Suggests: libgrilo-0.2-doc
+Suggests: libgrilo-0.3-doc
 Description: Framework for discovering and browsing media - Development files
  Grilo is a framework focused on making media discovery and browsing
  easy for application developers.
@@ -67,7 +68,7 @@
  .
  This package contains the development files.
 
-Package: libgrilo-0.2-bin
+Package: libgrilo-0.3-bin
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -87,12 +88,12 @@
  .
  This package contains the utilities.
 
-Package: libgrilo-0.2-doc
+Package: libgrilo-0.3-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: devhelp
-Conflicts: libgrilo-0.1-doc
+Conflicts: libgrilo-0.1-doc, libgrilo-0.2-doc
 Description: Framework for discovering and browsing media - Documentation
  Grilo is a framework focused on making media discovery and browsing
  easy for application developers.
@@ -109,7 +110,7 @@
  .
  This package contains the documentation.
 
-Package: gir1.2-grilo-0.2
+Package: gir1.2-grilo-0.3
 Section: introspection
 Architecture: any
 Multi-Arch: same

## grilo 0.3.3

=== debian/changelog ===
grilo (0.3.3-1) experimental; urgency=medium

  * New upstream version.
  * check-for-throttling-only-if-set.patch:
    - Remove, this has been merged upstream.

 -- Alberto Garcia <berto@igalia.com>  Wed, 22 Feb 2017 13:54:48 +0200

grilo (0.3.2-2) unstable; urgency=medium

  * autoconf-macros.patch:
    - Remove obsolete autoconf macros (Closes: #830056).
  * check-for-throttling-only-if-set.patch:
    - Fix crash in grl-net (Closes: #838814). Thanks, Sam Morris.
  * debian/control:
    - Add build dependencies ou autoconf-archive and intltool
      (Closes: #837830).

 -- Alberto Garcia <berto@igalia.com>  Sun, 25 Sep 2016 23:20:03 +0200

## grilo 0.3.4

=== debian/changelog ===
grilo (0.3.4-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: MITM attacks
    - debian/patches/CVE-2021-39365.patch: fix TLS cert validation
      not being done for any network in libs/net/grl-net-wc.c.
    - CVE-2021-39365

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 27 Aug 2021 10:49:01 -0300

grilo (0.3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/gir1.2-grilo-0.3.lintian-overrides:
    - Override typelib-package-name-does-not-match.
  * debian/libgrilo-0.3-dev.lintian-overrides:
    - Override gir-missing-typelib-dependency.
  * debian/copyright:
    - Use https for the Format and Source URLs.

 -- Alberto Garcia <berto@igalia.com>  Sun, 27 Aug 2017 14:11:03 +0300

grilo (0.3.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Alberto Garcia <berto@igalia.com>  Tue, 20 Jun 2017 01:26:05 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: grilo
 Section: libs
 Priority: optional
-Maintainer: Alberto Garcia <berto@igalia.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alberto Garcia <berto@igalia.com>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
+               autoconf-archive,
+               intltool,
                libglib2.0-dev (>= 2.34),
                libgtk-3-dev,
                libxml2-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf,gir --parallel

override_dh_auto_configure:
	VAPIDIR=/usr/share/vala/vapi \
	dh_auto_configure -- --enable-gtk-doc --enable-vala \
		--enable-introspection --enable-grl-net --disable-debug \
		--disable-silent-rules

## grilo 0.3.6

=== debian/changelog ===
grilo (0.3.6-1build1) cosmic; urgency=medium

  * No change rebuild to import the translations

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Oct 2018 12:24:17 +0200

grilo (0.3.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add Vcs-* fields.
    - Update Standards-Version to 4.1.5 (changes: support for "nodoc").
  * debian/rules:
    - Add support for the "nodoc" build option.
    - Run gtkdocize before autoreconf.
  * libgrilo-0.3-0.symbols:
    - Update symbols file.
  * Set compatibility level to 10:
    - debian/rules: don't pass --parallel nor --with autoreconf do dh.
    - debian/control: require dh >= 10 and drop build dependency on
      dh-autoreconf.

 -- Alberto Garcia <berto@igalia.com>  Mon, 30 Jul 2018 11:16:23 +0300

grilo (0.3.5-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Wed, 25 Jul 2018 10:35:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: grilo
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Maintainer: Alberto Garcia <berto@igalia.com>
+Build-Depends: debhelper (>= 10),
                autoconf-archive,
                intltool,
                libglib2.0-dev (>= 2.34),
@@ -17,8 +15,10 @@
                libgirepository1.0-dev,
                valac (>= 0.27),
                gtk-doc-tools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.5
 Homepage: https://wiki.gnome.org/Projects/Grilo
+Vcs-Browser: https://salsa.debian.org/berto/grilo
+Vcs-Git: https://salsa.debian.org/berto/grilo.git
 
 Package: libgrilo-0.3-0
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	EXTRA_CONFIGURE_ARGUMENTS += --disable-gtk-doc
else
	EXTRA_CONFIGURE_ARGUMENTS += --enable-gtk-doc
endif

%:
	dh $@ --with gir

override_dh_update_autotools_config:
	gtkdocize --copy
	dh_update_autotools_config

override_dh_auto_configure:
	VAPIDIR=/usr/share/vala/vapi \
	dh_auto_configure -- --enable-vala --enable-introspection \
		--enable-grl-net --disable-debug --disable-silent-rules \
		$(EXTRA_CONFIGURE_ARGUMENTS)

# Create a dummy doc directory in case the "nodoc" build option is set
override_dh_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/gtk-doc/html
	dh_install

## grilo 0.3.7

=== debian/changelog ===
grilo (0.3.7-1+deb10u1) buster-security; urgency=high

  * fix-tls-cert-validation.patch:
    - Fix TLS cert validation not being done for any network call
      (Closes: #992971, CVE-2021-39365).

 -- Alberto Garcia <berto@igalia.com>  Thu, 26 Aug 2021 22:49:03 +0200

grilo (0.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Use Meson instead of Autotools:
    - debian/rules: Convert dh_auto_configure parameters from autotools to
      meson.
    - debian/control: Replace build dependency on autoconf-archive with
      meson and require debhelper >= 10.3.
    - Drop autoconf-macros.patch.
  * debian/control:
    - Update Standards-Version to 4.2.1 (no changes).
    - Update libglib2.0-dev build dependency to 2.44.
    - Drop build dependency on intltool, it's no longer needed.
  * debian/libgrilo-0.3-0.install:
    - Install files in /usr/share/locale.
  * debian/libgrilo-0.3-0.docs:
    - Don't install the README file, these are just build instructions.
  * debian/libgrilo-0.3-dev.install:
    - This library no longer produces static .a files.
  * debian/rules:
    - Run dh_missing with --fail-missing.

 -- Alberto Garcia <berto@igalia.com>  Tue, 27 Nov 2018 10:55:33 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	EXTRA_CONFIGURE_ARGUMENTS += -Denable-gtk-doc=false
else
	EXTRA_CONFIGURE_ARGUMENTS += -Denable-gtk-doc=true
endif

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- -Denable-vala=true -Denable-introspection=true \
		-Denable-grl-net=true $(EXTRA_CONFIGURE_ARGUMENTS)

# Create a dummy doc directory in case the "nodoc" build option is set
override_dh_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/gtk-doc/html
	dh_install

override_dh_missing:
	dh_missing --fail-missing

## grilo 0.3.7.1

=== debian/changelog ===
grilo (0.3.7.1-1+dde) unstable; urgency=medium

  * update

 -- Alberto Garcia <berto@igalia.com>  Wed, 20 Oct 2021 19:18:24 +0800

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper (>= 10),
-               autoconf-archive,
-               intltool,
-               libglib2.0-dev (>= 2.34),
+Build-Depends: debhelper (>= 10.3),
+               meson,
+               libglib2.0-dev (>= 2.44),
                libgtk-3-dev,
                libxml2-dev,
                liboauth-dev,
@@ -15,7 +14,7 @@
                libgirepository1.0-dev,
                valac (>= 0.27),
                gtk-doc-tools
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: https://wiki.gnome.org/Projects/Grilo
 Vcs-Browser: https://salsa.debian.org/berto/grilo
 Vcs-Git: https://salsa.debian.org/berto/grilo.git

## grilo 0.3.10

=== debian/changelog ===
grilo (0.3.10-1) unstable; urgency=medium

  * New upstream release (Closes: #940518)

 -- Alberto Garcia <berto@igalia.com>  Mon, 16 Sep 2019 22:09:04 +0300

grilo (0.3.9-1) unstable; urgency=medium

  * New upstream release.
  * libgrilo-0.3-0.symbols:
    - Update symbols file.

 -- Alberto Garcia <berto@igalia.com>  Fri, 09 Aug 2019 14:10:34 +0200

## grilo 0.3.11

=== debian/changelog ===
grilo (0.3.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update Standards-Version to 4.4.1 (no changes).
    - Add Rules-Requires-Root: no.
  * debian/copyright:
    - Update copyright years.
  * debian/libgrilo-0.3-0.symbols:
    - Add Build-Depends-Package field.

 -- Alberto Garcia <berto@igalia.com>  Fri, 10 Jan 2020 12:21:55 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
                libgirepository1.0-dev,
                valac (>= 0.27),
                gtk-doc-tools
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/Projects/Grilo
 Vcs-Browser: https://salsa.debian.org/berto/grilo
 Vcs-Git: https://salsa.debian.org/berto/grilo.git

## grilo 0.3.12

=== debian/changelog ===
grilo (0.3.12-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: MITM attacks
    - debian/patches/CVE-2021-39365.patch: fix TLS cert validation
      not being done for any network in libs/net/grl-net-wc.c.
    - CVE-2021-39365

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 27 Aug 2021 11:09:37 -0300

grilo (0.3.12-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Make libgrilo-0.3-doc Multi-Arch: foreign.
    - Update Standards-Version to 4.5.0 (no changes).
  * Add debian/upstream/metadata file.
  * Use debhelper compatibility level 12.
    - Require debhelper-compat 12 and dh-sequence-gir in debian/control.
    - Remove debian/compat.
    - Don't pass --with gir to dh anymore in debian/rules.
  * debian/copyright:
    - Set Upstream-Contact to the mailing list url.

 -- Alberto Garcia <berto@igalia.com>  Sun, 16 Feb 2020 14:42:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: grilo
 Section: libs
 Priority: optional
-Maintainer: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper (>= 10.3),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alberto Garcia <berto@igalia.com>
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gir,
                meson,
                libglib2.0-dev (>= 2.44),
                libgtk-3-dev,
@@ -14,7 +16,7 @@
                libgirepository1.0-dev,
                valac (>= 0.27),
                gtk-doc-tools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/Projects/Grilo
 Vcs-Browser: https://salsa.debian.org/berto/grilo
@@ -94,6 +96,7 @@
 Package: libgrilo-0.3-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: devhelp
 Conflicts: libgrilo-0.1-doc, libgrilo-0.2-doc

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 endif
 
 %:
-	dh $@ --with gir
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -Denable-vala=true -Denable-introspection=true \

## grilo 0.3.13

=== debian/changelog ===
grilo (0.3.13-1ubuntu0.1) hirsute-security; urgency=medium

  * SECURITY UPDATE: MITM attacks
    - debian/patches/CVE-2021-39365.patch: fix TLS cert validation
      not being done for any network in libs/net/grl-net-wc.c.
    - CVE-2021-39365

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 27 Aug 2021 10:57:57 -0300

grilo (0.3.13-1) unstable; urgency=medium

  [ Alberto Garcia ]
  * New upstream release.
  * libgrilo-0.3-0.symbols:
    - Update symbols file.
  * debian/copyright:
    - Update copyright information.
  * debian/rules:
    - Disable deprecation warnings with -Wno-deprecated-declarations.
  * debian/control:
    - Update libglib2.0-dev build dependency to 2.58.

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.

 -- Alberto Garcia <berto@igalia.com>  Sun, 06 Sep 2020 12:51:05 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gir,
                meson,
-               libglib2.0-dev (>= 2.44),
+               libglib2.0-dev (>= 2.58),
                libgtk-3-dev,
                libxml2-dev,
                liboauth-dev,
